Package org.silverpeas.components.whitepages.model

# Enum Class SearchFieldsType

java.lang.Object
java.lang.Enum<SearchFieldsType>
org.silverpeas.components.whitepages.model.SearchFieldsType

All Implemented Interfaces:
  `Serializable`, `Comparable<SearchFieldsType>`, `Constable`

public enum SearchFieldsType extends Enum<SearchFieldsType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LDAP`
  `USER`
  `XML`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLabelType()`
  `static SearchFieldsType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SearchFieldsType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LDAP

    public static final SearchFieldsType LDAP

  - ### XML

    public static final SearchFieldsType XML

  - ### USER

    public static final SearchFieldsType USER

- ## Method Details

  - ### values

    public static SearchFieldsType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SearchFieldsType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getLabelType

    public String getLabelType()